Bug 212740 - 32bit openoffice crashes saving files on x86_64
Summary: 32bit openoffice crashes saving files on x86_64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 5
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-28 16:27 UTC by Bruno Postle
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 11:51:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace of crashing openoffice on x86_64 system (245.76 KB, text/plain)
2006-10-31 21:23 UTC, Bruno Postle
no flags Details

Description Bruno Postle 2006-10-28 16:27:13 UTC
Description of problem: Open Office crashes when trying to save a document. 
Tested with draw and write documents.  Tried switching user accounts and
different file locations.

Version-Release number of selected component (if applicable): 2.0.2-5.19.2

How reproducible: Always

Steps to Reproduce:
1. Create new user account or remove ~/.openoffice.org2.0/
2. Start open office
3. File -> save or save as...
4. enter a filename, click save
  
Actual results:

"Illegal instruction" message and zero byte file created

Comment 1 Caolan McNamara 2006-10-31 10:37:07 UTC
Did you mix any fc-6 rpms with your fc-5 install ? fc-6 binaries are compiled
with a different linker system which could cause such a problem. Otherwise was
there any crash information produced by OOo on exit, i.e. a crash dialog.

Locally here there is no crash, nor has there be similiar sounding crashes, and
Ooo has not been updated for FC-5 in the last month or so

Comment 2 Bruno Postle 2006-10-31 12:52:52 UTC
(In reply to comment #1)
> Did you mix any fc-6 rpms with your fc-5 install ?

Nope, this is a stable system with no apparent other problems.

> Otherwise was there any crash information produced by OOo on exit,
> i.e. a crash dialog.

None, the application vanishes and the "Illegal instruction" message appears on
the console.

This could be something missing in the dependency tree: I had previously removed
all i386 RPMs from the system, openoffice was installed with yum install
'openoffice.org*'.

Comment 3 Caolan McNamara 2006-10-31 13:00:19 UTC
Indeed, i386 OOo on x86_64, perhaps a 

strace /usr/lib/openoffice.org/program/soffice.bin > /tmp/ooorun.log 2>&1 and
attach the log might show us what's missing

Comment 4 Bruno Postle 2006-10-31 21:23:27 UTC
Created attachment 139901 [details]
strace of crashing openoffice on x86_64 system

Comment 5 Bruno Postle 2006-10-31 21:28:17 UTC
(In reply to comment #3)
> 
> strace /usr/lib/openoffice.org/program/soffice.bin > /tmp/ooorun.log 2>&1

I've attached the strace.  The only obvious missing dependency to me was
libGL.so.1, but installing mesa-libGL.i386 doesn't fix anything.

Comment 6 Caolan McNamara 2006-11-01 08:52:16 UTC
do you have a 32bit gnome-vfs2 installed ?

Comment 7 Bruno Postle 2006-11-01 23:10:02 UTC
(In reply to comment #6)
> do you have a 32bit gnome-vfs2 installed ?

Yes, already installed.  I've checked the system for duplicate RPMs, missing
dependencies etc... and it all checks out ok.  If I had a list of the i386 RPMs
installed by default on a x86_64 system I could do a comparison and add the
missing packages one by one.

Comment 8 Caolan McNamara 2006-11-14 08:58:33 UTC
Did you ever figure out what rpm was missing ?

Comment 9 Bruno Postle 2006-11-14 21:00:37 UTC
(In reply to comment #8)
> Did you ever figure out what rpm was missing ?

Nope, after looking at how anaconda does it, I did a `yum groupinstall` for all
the groups that yum claimed were already installed.  This pulled in 105 RPMs,
lots of which looked like likely suspects.

..but I still get the 'Illegal instruction' error, so the problem may be elsewhere.

Comment 10 Caolan McNamara 2006-11-28 11:51:12 UTC
The FC6 OOo is native x86_64 so this class of problem doesn't arise under FC6,
so closed as fixed from that perspective, even though the underlying
dependencies for a 32bit app on 64bit may still exist, but available resources
limit investigation into that.


Note You need to log in before you can comment on or make changes to this bug.